Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 140

Summary: Problems with "+" in package names.
Product: [Retired] Red Hat Contrib|Net Reporter: Aleksey Nogin <aleksey>
Component: rhcnAssignee: David Lawrence <dkl>
Status: CLOSED DEFERRED QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: 1.0CC: aander07
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://developer.redhat.com/rhcn/browse/conventional/packageinfo.php3?package=squid+icmp
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-11-17 16:12:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Aleksey Nogin 1998-11-19 23:44:25 UTC
Many RHCN packages have + in their names: libg++-libc5,
squid+icmp, mpi2c++ ... There are several problems with how
RHCN handles + in package names.

1) http://developer.redhat.com/rhcn/packagelist.php3 and
http://developer.redhat.com/rhcn/memberinfo.php3 do not
change + into %2b when linking to
http://developer.redhat.com/rhcn/packageinfo.php3

2) Even when %2b is used , packageinfo.php3 still transforms
it into " " and reports that package is not uploaded.

Comment 1 Aleksey Nogin 1998-11-19 23:53:59 UTC
As you could see in the "View Bug Activity" for this bug, bugzilla's
process_bug.cgi also has problems with interpreting special characters
in "URL" and "Summary" fields (it was the one that changes "+" into
" " in the Summary field, I did not touch it...

Comment 2 Aleksey Nogin 1998-12-05 01:31:59 UTC
New packageinfo.php3 now understands %2b right, but does not
understand + .
And both packagelist.php3 and memberinfo.php3 generate links with "+"
not with "%2b"

Comment 3 Aleksey Nogin 1998-12-05 01:32:59 UTC
And Bugzilla still does not know how to deal with "+" in URL and
Summary fields.

Comment 4 Preston Brown 1999-03-29 21:08:59 UTC
Andrew, Alex: can we have a status report on this bug please?

Comment 5 Aleksey Nogin 1999-06-08 02:36:59 UTC
I wanted to remind you that the problem still exists

Comment 6 David Lawrence 1999-11-17 16:12:59 UTC
This problem is being deferred until the new RHCN becomes operational.